%define version 3.487
%define version_path 3_487

Summary: Iozone Filesystem Benchmark
Name: iozone
Version: %{version}
Release: %mkrel 1
License: Freeware
Group: File tools
Source: %{name}%{version_path}.tar.xz
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
IOzone is a filesystem benchmark tool. The benchmark generates and
measures a variety of file operations. Iozone has been ported to many machines and runs under many operating systems.

Iozone is useful for performing a broad filesystem analysis of a vendors
computer platform. The benchmark tests file I/O performance for the following
operations: Read, write, re-read, re-write, read backwards, read strided,
fread, fwrite, random read, pread ,mmap, aio_read, aio_write.

##
## PREP
%prep

##
## SETUP
%setup -n iozone%{version_path}
sed -i 's|\.\/||' src/current/Generate_Graphs
sed -i 's|gnuplot gnu3d.dem|gnuplot /usr/bin/gnu3d.dem|' src/current/Generate_Graphs

##
## BUILD
%build
cd src/current
make linux-AMD64

##
## INSTALL
%install
mkdir -p %{buildroot}/usr/bin
cp src/current/{iozone,fileop,pit_server,Generate_Graphs,gengnuplot.sh,gnu3d.dem,Gnuplot.txt} %{buildroot}/usr/bin/

mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
cp docs/{IOzone_msword_98.pdf,Run_rules.doc,IOzone_msword_98.doc,Iozone_ps.gz} %{buildroot}%{_defaultdocdir}/%{name}

mkdir -p %{buildroot}%{_mandir}/man1
cp docs/iozone.1 %{buildroot}%{_mandir}/man1/

##
## CLEAN
%clean
rm -rf %{buildroot}

##
## FILES
%files
%{_bindir}
%{_datadir}
%{_mandir}

%changelog
* Mon Oct 14 2019 MBantz <martin dot bantz at gmail dot com> 3.487-1pclos2019
- Amended spec from iozone to meet PCLinuxOS standards
